package com.gxzc.zen.common.util.upload.constants

/**
 * 检查状态
 * @author NorthLan
 * @date 2018/8/30
 * @url https://noahlan.com
 */
object CheckStatus {
    // FDFS_CHECK_STATUS
    const val FDFS_DB_FILE = "FDFS_DB_FILE" // 有数据库记录,有文件
    const val FDFS_DB_NO_FILE = "FDFS_DB_NO_FILE" // 有数据库记录,无文件
    const val FDFS_NO_DB_FRAG_CHUNK = "FDFS_NO_DB_FRAG_CHUNK" // 无数据库记录,分片不完整
    const val FDFS_NO_DB_FULL_CHUNK = "FDFS_NO_DB_FULL_CHUNK" // 无数据库记录,分片完整

    // CHECK_STATUS
    const val FILE_EXISTS = "FILE_EXISTS" // 真实文件存在
    const val NO_FILE_FRAG_CHUNK = "NO_FILE_FRAG_CHUNK" // 文件不存在,分片不完整
    const val NO_FILE_FULL_CHUNK = "NO_FILE_FULL_CHUNK" // 文件不存在,分片完整
}